.header {
  left: 0;
  padding-inline: 5px;
  position: fixed;
  top: 5px;
  width: 100%;
  z-index: 999;
}
.header.is-scroll .header__contents {
  background-color: #3272b9;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
}
.header.header--page .header__contents, .header.page-product .header__contents {
  background-color: #ffffff;
  border-radius: 10px;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
}
.header.header--page .header__contents .header-logo__desc,
.header.header--page .header__contents .header-nuv__item > p, .header.page-product .header__contents .header-logo__desc,
.header.page-product .header__contents .header-nuv__item > p {
  color: #454545;
}
.header.page-product {
  background-image: linear-gradient(to right, #4c9ee9, #3171b8);
  left: 0;
  padding: 10px;
  top: 0;
}

.header__contents {
  align-items: center;
  background-color: transparent;
  border-radius: 10px;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0);
  display: flex;
  padding: 10px;
  transition: all 0.3s ease;
}

.header-logo {
  align-items: center;
  display: flex;
}
.header-logo__link {
  aspect-ratio: 179/59;
  flex-shrink: 0;
  overflow: hidden;
  width: 100px;
}
.header-logo__link img {
  -o-object-fit: contain;
     object-fit: contain;
}
.header-logo__desc {
  color: #fff;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  margin-left: 5px;
}
.header-logo__desc p {
  letter-spacing: 0;
}
.header-logo__desc p:nth-of-type(1) {
  color: inherit;
  font-size: 10px;
  font-weight: normal;
  line-height: calc(16 / 11);
}
.header-logo__desc p:nth-of-type(2) {
  color: inherit;
  font-size: 12px;
  font-weight: 600;
  line-height: calc(21 / 15);
}

.header-nuv {
  align-items: center;
  display: flex;
  gap: 10px;
  margin-left: auto;
}
.header-nuv__list {
  display: none;
}
.header-nuv__item > p {
  color: #fff;
  font-size: 14px;
  font-weight: 600;
}

.header-bnr__link {
  align-items: center;
  background-color: #e57847;
  border-radius: 10px;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
  display: flex;
  gap: 5px;
  height: 40px;
  justify-content: center;
  width: 40px;
}
.header-bnr__link > p {
  color: #fff;
  display: none;
  font-size: 14px;
  font-weight: 500;
}
.header-bnr__link img {
  height: 18px;
  -o-object-fit: contain;
     object-fit: contain;
  overflow: hidden;
  width: 20px;
}

.header-btn {
  align-items: center;
  border-radius: 10px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  height: auto;
  justify-content: center;
  transition: opacity 0.3s ease;
  width: 30px;
}
.header-btn:hover {
  opacity: 0.7;
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(1) {
  top: 9px;
  transform: rotate(35deg);
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(2) {
  display: none;
}
.header-btn.is-open .header-btn__bar-line:nth-of-type(3) {
  top: 9px;
  transform: rotate(-35deg);
}

.header-btn__bar {
  height: 20px;
  position: relative;
  width: 30px;
}

.header-btn__bar-line {
  background-color: currentColor;
  height: 1px;
  left: 0;
  position: absolute;
  transition: transform 0.3s ease-in, top 0.3s ease-in, background 0.3s ease;
  width: 30px;
}
.header-btn__bar-line:nth-of-type(1) {
  top: 0;
}
.header-btn__bar-line:nth-of-type(2) {
  top: 10px;
}
.header-btn__bar-line:nth-of-type(3) {
  top: 20px;
}

.header-drawer {
  background-color: #3272b9;
  height: 100vh;
  min-width: 275px;
  overflow: auto;
  padding-inline: 40px;
  padding-top: 100px;
  position: fixed;
  right: 0;
  top: 0;
  transform: translateX(100%);
  transition: transform 0.6s ease;
  width: 50%;
  z-index: 98;
}
.header-drawer.is-checked {
  transform: translateX(0);
}
.header-drawer .header-link-head__sns {
  gap: 20px;
  justify-content: center;
  margin-top: 22px;
}

.header-drawer__list {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-inline: auto;
  max-width: 250px;
  width: 100%;
}

.header-drawer__item {
  color: #fff;
  font-size: 15px;
  font-weight: 500;
  padding-block: 15px;
  text-align: center;
  width: 100%;
}

@media (min-width: 768px) {
  .header-logo__link {
    width: 120px;
  }
  .header-logo__desc {
    margin-left: 10px;
  }
  .header-bnr__link {
    height: 46px;
    width: 146px;
  }
  .header-bnr__link > p {
    display: block;
  }
  .header-bnr__link img {
    height: 11px;
    width: 14px;
  }
}

@media (min-width: 1024px) {
  .header {
    padding-inline: 10px;
    top: 10px;
  }
  .header-logo__desc p:nth-of-type(1) {
    font-size: 11px;
  }
  .header-logo__desc p:nth-of-type(2) {
    font-size: 15px;
  }
  .header-nuv__list {
    display: flex;
    gap: 10px;
  }
  .header-btn {
    display: none;
  }
  .header-drawer {
    width: 30%;
  }
}

@media (min-width: 1366px) {
  .header__contents {
    padding: 10px 12px;
  }
  .header-logo__link {
    width: 185px;
  }
  .header-logo__desc {
    gap: 10px;
    margin-left: 18px;
  }
  .header-nuv {
    gap: 35px;
  }
  .header-nuv__list {
    gap: 30px;
  }
  .header-drawer {
    display: none;
  }
}